# clock_desc_sys_time Class Reference

`#include <_clock_system.h>`

List of all members.

## Public Types

typedef float | value_type

## Static Public Member Functions

static bool | realtime ()
static bool | proctime ()
static value_type | one_second ()
static value_type | precision ()
static const char * | description ()

## Protected Types

typedef time_t | timestamp

## Static Protected Member Functions

static void | get_current_time (timestamp &time)
static timestamp | get_current_time ()
static value_type | timestamp_to_seconds (const timestamp &x)
static timestamp | seconds_to_timestamp (const value_type &x)

## Detailed Description

Definition at line 102 of file _clock_system.h.

## Member Typedef Documentation

typedef float clock_desc_sys_time::value_type

Definition at line 105 of file _clock_system.h.

typedef time_t clock_desc_sys_time::timestamp `[protected]`

Definition at line 121 of file _clock_system.h.

## Member Function Documentation

static bool clock_desc_sys_time::realtime | ( |  | ) | `[inline, static]`

Definition at line 107 of file _clock_system.h.

static bool clock_desc_sys_time::proctime | ( |  | ) | `[inline, static]`

Definition at line 110 of file _clock_system.h.

static value_type clock_desc_sys_time::one_second | ( |  | ) | `[inline, static]`

Definition at line 114 of file _clock_system.h.

Referenced by precision().

static value_type clock_desc_sys_time::precision | ( |  | ) | `[inline, static]`

Definition at line 117 of file _clock_system.h.

References one_second().

static const char* clock_desc_sys_time::description | ( |  | ) | `[inline, static]`

Definition at line 120 of file _clock_system.h.

static void clock_desc_sys_time::get_current_time | ( | timestamp & | time | ) | `[inline, static, protected]`

Definition at line 127 of file _clock_system.h.

References __sys_time.

static timestamp clock_desc_sys_time::get_current_time | ( |  | ) | `[inline, static, protected]`

Definition at line 131 of file _clock_system.h.

References __sys_time, and NULL.

static value_type clock_desc_sys_time::timestamp_to_seconds | ( | const timestamp & | x | ) | `[inline, static, protected]`

Definition at line 135 of file _clock_system.h.

static timestamp clock_desc_sys_time::seconds_to_timestamp | ( | const value_type & | x | ) | `[inline, static, protected]`

Definition at line 139 of file _clock_system.h.

References f.

The documentation for this class was generated from the following file:

- _clock_system.h